<?php
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);
	$StrCol=V($_POST['TxtCol']);
	$StrOrd=V($_POST['TxtOrd']);
	$StrNl=V($_POST['TxtNL']);
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)	$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")	$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")	$LStrPag=0;
	if($StrCmd=="MUlt")	$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("nombre","menu","id_menu=$Id");		
		$StrCol=gn("col","menu","id_menu=$Id");		
		$StrOrd=gn("ord","menu","id_menu=$Id");		
		$StrNl=gn("nl","menu","id_menu=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}
	//
	if($StrCmd=="IMPORTAR"){
		$StrFileN = $_FILES['userfile']['name']; 
		$StrFileT = $_FILES['userfile']['type']; 		
		$StrExt=extension($StrFileN);
		//		
		if (!($StrExt== "jpg" || $StrExt=="JPG")){ 
			$LStrMsg="La extension debe ser JPG : $StrExt";
			$LStrFoc="document.getElementById('userfile').focus();";
			$StrGT="S";	
		}else{
			$NRO_IMG=GenGI();
			$StrFileNew=$NRO_IMG.".jpg";
			if (move_uploaded_file($_FILES['userfile']['tmp_name'], $StrFileNew)){
				ejt("UPDATE menu SET ni=$NRO_IMG WHERE id_menu=$StrId");				
				$LStrMsg="El archivo ha sido cargado correctamente ";
				$LStrFoc="document.getElementById('TxtNom').focus();";
				$StrGT="S";
			}else{ 
				$LStrMsg="Error al subir el archivo";
				$LStrFoc="document.getElementById('TxtNom').focus();";
				$StrGT="S";		
			} 
		}
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>